#!/bin/sh
# Setup dependencies for building on different platforms and distributions

if test -f /etc/debian_version ; then
	sudo apt-get install build-essential cmake pkg-config g++ libfmt-dev libssl-dev libc-ares-dev
elif test -d /var/lib/pacman ; then
	sudo pacman -S openssl c-ares pkgconfig cmake fmt systemd-libs
elif test -d /etc/zypp ; then
	sudo zypper install cmake gcc-c++ fmt-devel systemd-devel c-ares-devel libopenssl-devel
elif test -d /etc/apk ; then
	sudo apk add alpine-sdk openssl-dev openssl-libs-static pkgconf cmake g++ c-ares-dev c-ares-static fmt-dev
elif test -x /usr/bin/dnf ; then
	sudo dnf install openssl-dev pkgconf cmake gcc-c++ fmt-devel systemd-devel c-ares-devel
elif test -x /usr/pkg/bin/pkgin ; then
	sudo pkgin install cmake pkg-config fmtlib libcares
fi
