# Configure paths
# Copyright (C) 2020-2021 David Sugar <tychosoft@gmail.com>.
#
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

set(SERVER_ID "coventry")
if(CMAKE_BUILD_TYPE MATCHES "Debug")
    set(SERVER_CONFIG_FILE "${CMAKE_CURRENT_SOURCE_DIR}/test/${SERVER_ID}.conf")
    set(SERVER_LOGGER_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test")
    set(SERVER_PREFIX_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test")
    set(SERVER_LIBEXEC_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test")
    set(SERVER_IPCPATH "/coventry-$ENV{USER}")
else()
    if(NOT DEFINED SERVER_CONFIG_FILE)
        set(SERVER_CONFIG_FILE "${CMAKE_INSTALL_FULL_SYSCONFDIR}/${SERVER_ID}.conf")
    endif()
    if(NOT DEFINED SERVER_LOGGER_PATH)
        set(SERVER_LOGGER_PATH "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/log")
    endif()
    if(NOT DEFINED SERVER_PREFIX_PATH)
        set(SERVER_PREFIX_PATH "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/${SERVER_ID}")
    endif()
    if(NOT DEFINED SERVER_LIBEXEC_PATH)
        set(SERVER_LIBEXEC_PATH "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${SERVER_ID}")
    endif()
    set(SERVER_IPCPATH "/coventry-system")
endif()
