# coventry.conf(5)

Coventry, November 2020

The coventry.conf file is the configuration file for the coventry service. This is typically found at /etc/coventry.conf while an optional custom.conf can be placed in the server prefix directory to override values and sections in it.

## File Format

The file consists of sections which contain key value pairs. The section
begins with the section name in square brackets and continues until the next
section name. Hence,

**[**_section-name_**]**

**key-name** = _value_

The file is line-based - that is, each newline-terminated line represents
either a comment, a section name, or a parameter.

Section and key names are not case sensitive.

Only the first equals sign in a parameter is significant. Whitespace before or
after the first equals sign is discarded. Leading, trailing and internal
whitespace in section and parameter names is irrelevant. Leading and trailing
whitespace in a parameter value is discarded. Internal whitespace within a
parameter value is retained verbatim.

Any line beginning with a semicolon (\`\`;'') or a hash (\`\`#'') character is
ignored, as are lines containing only whitespace.

An entire key value pair, comment, or section name must fit on one line.

The values following the equals sign in parameters are all either a string (no
quotes needed) or a boolean, which may be given as yes/no, 0/1 or true/false.
Case is not significant in boolean  values, but is preserved in string values.
Some items such as create modes are numeric.

## Section Descriptions

Coventry uses a 2 digit dialing plan, and each section in the configuration
file, except for special sections, describes the configuration of a single sip
device endpoint. This might include registration secrets, display name, and
other properties. The list of active sip endpoints, and their properties, can
be re-loaded live and updated in a running coventry server with sighup.

## Special Sections

TODO

## Copyright

Copyright © 2020-2021 David Sugar.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
