# coventry(8)

Coventry, November 2020

```
coventry [options]

```

## Description

Starts an instance of the coventry ip telephony server. Coventry manages
up to 80 sip endpoints under a 2 digit dialing plan. Coventry also supports
messaging over sip. Coventry uses a single config file to define each sip
endpoint, call groups, and other features.

Normally coventry is started from an init service, but it can be executed
directly in the foreground, particularly for testing. Debug builds start in the
source test directory, and release builds operate on live systems.

In addition to telephones, Coventry can act as a sip messaging broker for
facility integration and to run security systems.

## Options

* **-6**
  Enable IPV6 operation. This forces all name resolutions to be ipv6.
* **--config=**_path_
  Alternate config file to use. The default is /etc/coventry.conf. A custom.conf
  can also exist in the server prefix directory with site specific config
  overrides.
* **--prefix=**_path_
  Specify alternate data volume. This normally would be /var/lib/coventry. The
  most common use might be to remap the data volume for use in a container.
* **--verbose**
  Display verbose output. This is useful when running locally to test the
  service.
* **--help**
  Outputs help screen for the user.

## Reporting Bugs

Report bugs to <https://git.gnutelephony.org/coventry/issues/new>.

## Copyright

Copyright © 2020-2021 David Sugar.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
