/*
 * Copyright (C) 2020-2021 David Sugar <tychosoft@gmail.com>.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <config.hpp>
#include <compiler.hpp>
#include <nonce.hpp>

using namespace server;

#include <nonce.cpp>
#include <utils.cpp>

auto main([[maybe_unused]] int argc, [[maybe_unused]] char **argv) -> int
{
    auto n1 = nonce_t();
    auto n2 = nonce_t();
    auto n3 = n2;

    assert(n1 != n2);
    assert(n3 == n2);

    nonce_t n4;
    n4 = n1.hex();
    assert(n4 == n1);
}
