# pbx-message(1)

Coventry, June 2021

```
pbx-message [options] [text]

```

## Description

Sends status request to a locally running coventry server, and waits to be
signaled a reply or reports errors.  This utility can both count active
registrations and dump them out to the display,

## Options

* **--quiet**
  Only return exit code, produce no output.
* **--to=**_destination_
  Extension number or named group to send text message to.  The default is
  all currently active extensions if not specified.
* **--subject=**_text_
  Subject of message (optional), may be used in title of pop-up windows.
* **--timeout=**_seconds_
  Wait to be signaled for specified timeout. The default is 5 seconds.
* **--help**
  Outputs help screen for the user.

## Exit Status

Exit status can be used to determine command results in shell scripts.

* **0**
  Command sent and successfully processed.
* **1**
  Command send resulted in an error or is invalid.
* **2**
  Command timed out without any response signaled.
* **3**
  Error sending to message queue.
* **4**
  Message queue or shm ipc not found or inaccessible.

## Reporting Bugs

Report bugs to <https://git.gnutelephony.org/coventry/issues/new>.

## Copyright

Copyright © 2021 David Sugar.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
