# pbx-registry(1)

Coventry, June 2021

```
pbx-registry [options] user [key [value]]

```

## Description

Sends status request to a locally running coventry server to verify if a given
user exists and is registered.  The exit code can then be used to branch shell
scripts. Optionally you can request the value of a given user's registry key
item, or to set the value of a feature key.  Finally, the -c option can be
used to clear all persistent settings for the given user.

## Options

* **--clear**
  Clear a given user's feature settings.
* **--quiet**
  Only return exit code, produce no output.
* **--timeout=**_seconds_
  Wait to be signaled for specified timeout. The default is 5 seconds.
* **--help**
  Outputs help screen for the user.

## Exit Status

Exit status can be used to determine command results in shell scripts.

* **0**
  Command sent and successfully processed.
* **1**
  Command send resulted in an error or is invalid.
* **2**
  Command timed out without any response signaled.
* **3**
  Error sending to message queue.
* **4**
  Message queue or shm ipc not found or inaccessible.

## Reporting Bugs

Report bugs to <https://git.gnutelephony.org/coventry/issues/new>.

## Copyright

Copyright © 2021 David Sugar.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
