# pbx-runstate(1)

Coventry, January 2022

```
pbx-runstate [options] [new-state]

```

## Description


Sets the running state of the coventry server.  This activates a .state file
which has overrides to the current config. For example, it could be used to
set different ringing patterns at night.

Pbx-runstate can be used to set states even if coventry is not running. This
makes it possible to call it from cron jobs. If coventry is actively running
it issues a server reload request to apply the newly set state.

## Options

* **--quiet**
  Only return exit code, produce no output.
* **--timeout=**_seconds_
  Wait to be signaled for specified timeout. The default is 5 seconds.
* **--help**
  Outputs help screen for the user.

## Exit Status

Exit status can be used to determine command results in shell scripts.

* **0**
  State successfully changed..
* **1**
  Change resulted in an error or is invalid.
* **2**
  Change reload timed out without any response signaled.
* **3**
  Error sending reload to message queue.

## Reporting Bugs

Report bugs to https://git.gnutelephony.org/coventry/issues/new.

## Copyright

Copyright © 2022 David Sugar.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
